.custom-input {
  > input {
    border: none;
    @include custom-input-common-styles;
  }
}

.custom-input.labeled {
  position: relative;
  width: fit-content;

  .label {
    span {
      margin-left: $gutter-small;
    }
  }
  .append {
    color: var(--color-gray);
    position: absolute;
    right: 2px;
    bottom: 4px;
  }

  > input {
    width: 7rem;
    padding-left: 2px;
    padding-right: 2.8rem;
    text-align: right;
    margin-top: 4px;
  }
}
